 # a minimal /etc/dhcpd.conf example
 # Modifiziert fuer www.linuxbu.ch
 
 # at first, edit /etc/sysconfig/dhcpd to configure all network interfaces
 # that the server should listen on (DHCPD_INTERFACE)
 
 # if you don't use dynamical DNS updates:
 #
 # this statement is needed by dhcpd-3 needs at least this statement.
 # you have to delete it for dhcpd-2, because it does not know it.
 #
 # if you want to use dynamical DNS updates,
 # you should first read
 # /usr/share/doc/packages/dhcp-server/DDNS-howto.txt
 ddns-update-style none; ddns-updates off;
 
 # this subnet is served by us
 authoritative;
 
 # declare the lease times (the time after which a client
 # needs to renew its lease) for production use you'll
 # probably use lease times of several days or even longer
 # (depending on whether hosts move in/out often
 # (notebook note) or not. for example, you could assign
 # long leases to your printers by class ids)
 default-lease-time              259200; # 3 days
 max-lease-time                  604800; # 1 week
 
 # let's give the local domain a name (which should
 # correlate to your name server configuration)
 option domain-name              "lokales-netz.de";
 
 # this assumes that your dhcp server is also the router
 # for the subnet
 option routers                  192.168.1.2;
 
 # clients shall use this host as nameserver, too
 option domain-name-servers      192.168.1.2;
 option netbios-name-servers     192.168.1.2;
 
 # this can explicitely be specified
 option broadcast-address        192.168.1.255;
 
 # these addresses will be given out dynamically
 subnet 192.168.1.0 netmask 255.255.255.0 {
   range 192.168.1.20 192.168.1.200;
   # options may also be put here if they are not global
 }
 
 # this host is known by its hardware address
 # and we want a fixed address for it
 host printserver {
   hardware ethernet 08:00:07:26:c0:a5;
   fixed-address 192.168.1.7;
 }

